@echo	off

rem	Change the following settings according to the system and user.
rem	VCHOME	    : The directory where you installed the MS/VC++ development environment

rem	下記設定をシステム及びユーザにあわせて変更すること。
rem	VCHOME      : MS/VC++ の開発環境をインストールしたディレクトリ

	set	PROGDIR=c:\Program Files (x86)
	set	PROGD64=c:\Program Files
	set	VCHOME=c:
rem	if not	exist "%VCHOME%\VC" set VCHOME=%PROGDIR%\Microsoft Visual Studio 8.0
rem	if not	exist "%VCHOME%\VC" set VCHOME=%PROGDIR%\Microsoft Visual Studio 9.0
	if not	exist "%VCHOME%\VC" set VCHOME=%PROGDIR%\Microsoft Visual Studio 10.0
	if not	exist "%VCHOME%\VC" set VCHOME=%PROGDIR%\Microsoft Visual Studio 11.0
	if not	exist "%VCHOME%\VC" set VCHOME=%PROGDIR%\Microsoft Visual Studio 12.0
	if not	exist "%VCHOME%\VC" set VCHOME=%PROGDIR%\Microsoft Visual Studio 14.0
	if not	exist "%VCHOME%\VC" set VCHOME=%PROGDIR%\Microsoft Visual Studio 15.0
	if not	exist "%VCHOME%\VC" set VCHOME=%PROGDIR%\Microsoft Visual Studio 14.1
	if not	exist "%VCHOME%\VC" set VCHOME=%PROGDIR%\Microsoft Visual Studio\2017\Community
	if not	exist "%VCHOME%\VC" set VCHOME=%PROGDIR%\Microsoft Visual Studio 16.0
	if not	exist "%VCHOME%\VC" set VCHOME=%PROGDIR%\Microsoft Visual Studio 14.2
	if not	exist "%VCHOME%\VC" set VCHOME=%PROGDIR%\Microsoft Visual Studio\2019\Community
	if not	exist "%VCHOME%\VC" set VCHOME=%PROGD64%\Microsoft Visual Studio\2022\Community

	call	"%VCHOME%\VC\\bin\vcvars32.bat"

	set	PROGDIR=
	set	PROGD64=
	set	VCHOME=

